Api Documentation

Bulletinboard items

Retrieves bulletinboard items and rudimentary information about them. When module-bulletin-board-moderation is enabled, items with moderation_status "pending" or "rejected" are only visible to the user who created them.
Retrieves a single bulletinboard item and rudimentary information about it.
Creates a new bulletinboard item. When module-bulletin-board-moderation is enabled, the item will be created with moderation_status "pending" and active set to false, regardless of the active parameter. The item must be approved by a manager in the dashboard before it becomes visible to other users.
Updates an existing bulletinboard item. When module-bulletin-board-moderation is enabled and active is set to true, the item will be set to moderation_status "pending" instead.
Deletes a single bulletinboard item. Only available to API keys without user authentication.
Json
XML
GET https://api.bundeling.com/V2/bulletinboard_items/:uuid

Parameters

Url

NameDescriptionType
uuidA unique identifier used to identify a bulletinboard itemstring

Includes

NameDescriptionEndpoint
userRetrieves information about the user created the bulletinboard itemUsers
categoryRetrieves information about the category of the bulletinboard itemBulletinboardCategories
picturesRetrieves list of pictures related to the bulletinboard itemBulletinboardPictures
likesRetrieves list of likes on bulletinboard articleLikes
likes.authorRetrieves information about the user of the like on the bulletinboard articleUsers
likedRetrieves if logged in user liked the bulletinboard articleLikes
commentsRetrieves list of comments on bulletinboard articleComments
comments.authorRetrieves information about the author of the comment on the bulletinboard articleUsers
readRetrieves if logged in user has the bulletinboard article marked as readReadStatus
filesRetrieve information about the Files attached to the bulletinboard itemBulletinboardItemFiles

Example request

Headers

Content-Type:application/json
Api-Key:RAegSX8yZfEbqSPM

Example response

{
    "uuid": "eeb763c41c054dcc8f6d9362f24ee9b2",
    "bulletinboard_uuid": "56f09a35ea14453ba94bc2b2add19a23",
    "category": "Job opening",
    "category_uuid": "8e09c4749b234633a7319148aac8cb81",
    "user_uuid": "d669b048d2084892b5a5232b78923227",
    "title": "",
    "text": "",
    "active": true,
    "link": "https://bundeling.com",
    "language": "en",
    "enddate": "2026-08-10T18:00:00+0200",
    "closeddate": null,
    "external_reference": "123908",
    "moderation_status": "pending",
    "rejection_reason": null,
    "creationdate": "2026-04-03T00:00:00+0200",
    "lastupdate": "2026-04-03T00:00:00+0200"
}